From 6d0ff0286451dc43d32428a44a68d07bc13c058a Mon Sep 17 00:00:00 2001
From: Leah Rowe <leah@libreboot.org>
Date: Sat, 6 May 2023 17:15:14 +0100
Subject: Import new util: bios_extract

---
 resources/scripts/build/clean/bios_extract  | 28 ++++++++++++++++++++++++
 resources/scripts/build/module/bios_extract | 33 +++++++++++++++++++++++++++++
 resources/scripts/build/release/src         |  2 +-
 3 files changed, 62 insertions(+), 1 deletion(-)
 create mode 100755 resources/scripts/build/clean/bios_extract
 create mode 100755 resources/scripts/build/module/bios_extract

(limited to 'resources/scripts/build')

diff --git a/resources/scripts/build/clean/bios_extract b/resources/scripts/build/clean/bios_extract
new file mode 100755
index 00000000..65493f78
--- /dev/null
+++ b/resources/scripts/build/clean/bios_extract
@@ -0,0 +1,28 @@
+#!/usr/bin/env sh
+
+#  helper script: run make clean on bios_extract
+#
+#	Copyright (C) 2023 Leah Rowe <info@minifree.org>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+printf "Cleaning the previous build of bios_extract\n"
+
+[ ! -d "bios_extract/" ] && exit 0
+
+make clean -BC bios_extract || exit 1
diff --git a/resources/scripts/build/module/bios_extract b/resources/scripts/build/module/bios_extract
new file mode 100755
index 00000000..77677fa1
--- /dev/null
+++ b/resources/scripts/build/module/bios_extract
@@ -0,0 +1,33 @@
+#!/usr/bin/env sh
+
+#  helper script: builds bios_extract source code
+#
+#	Copyright (C) 2023 Leah Rowe <info@minifree.org>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+# Build "flashrom" (utility for flashing/dumping ROMs)
+# --------------------------------------------------------------------
+
+if [ ! -d "bios_extract/" ]; then
+    ./download bios_extract
+fi
+
+printf "Building bios_extract\n"
+
+make -BC bios_extract
diff --git a/resources/scripts/build/release/src b/resources/scripts/build/release/src
index 6ca1859d..65456ab7 100755
--- a/resources/scripts/build/release/src
+++ b/resources/scripts/build/release/src
@@ -53,7 +53,7 @@ mkdir -p "${srcdir}/"
 
 printf "%s" "${version}" > "${srcdir}"/version
 
-modlist="coreboot flashrom grub memtest86plus seabios me_cleaner u-boot"
+modlist="coreboot flashrom grub memtest86plus seabios me_cleaner u-boot bios_extract"
 dirlist="resources util" # do not add blobs directory here. it is handled below
 filelist="blobutil modify download build README.md COPYING Makefile update version versiondate projectname .gitcheck gitclone"
 
-- 
cgit v1.2.1